Package org.springframework.cglib.beans

# Class BulkBeanException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.cglib.beans.BulkBeanException

All Implemented Interfaces:
  `Serializable`

public class BulkBeanException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BulkBeanException(String message, int index)`
`BulkBeanException(Throwable cause, int index)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
`int`
`getIndex()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BulkBeanException

public BulkBeanException(String message, int index)

### BulkBeanException

public BulkBeanException(Throwable cause, int index)

## Method Details

### getIndex

public int getIndex()

### getCause

public Throwable getCause()

Overrides:
  `getCause` in class `Throwable`